# QPaintDeviceMetrics Class Reference

The QPaintDeviceMetrics class provides information about a paint device. More...

`#include <qpaintdevicemetrics.h>`

List of all member functions.

## Public Members

- QPaintDeviceMetrics ( const QPaintDevice * )
- int width () const
- int height () const
- int widthMM () const
- int heightMM () const
- int numColors () const
- int depth () const

## Detailed Description

The QPaintDeviceMetrics class provides information about a paint device.

Sometimes it is necessary to obtain information about the physical size of a paint device when drawing graphics.

Example:

        QPaintDeviceMetrics pdm( myWidget );
        float aspect = (float)pdm.widthMM / (float)pdm.heightMM();

Examples: application/application.cpp

## Member Function Documentation

### QPaintDeviceMetrics::QPaintDeviceMetrics ( const QPaintDevice * pd )

Constructs a metric for the paint device pd.

### int QPaintDeviceMetrics::depth () const

Returns the bit depth (number of bit planes) of the paint device.

### int QPaintDeviceMetrics::height () const

Returns the height of the paint device, in default coordinate system units (e.g. pixels for QPixmap and QWidget).

Examples: application/application.cpp

### int QPaintDeviceMetrics::heightMM () const

Returns the height of the paint device, measured in millimeters.

### int QPaintDeviceMetrics::numColors () const

Returns the number of different colors available for the paint device.

### int QPaintDeviceMetrics::width () const

Returns the width of the paint device, in default coordinate system units (e.g. pixels for QPixmap and QWidget).

Examples: application/application.cpp

### int QPaintDeviceMetrics::widthMM () const

Returns the width of the paint device, measured in millimeters.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qpaintdevicemetrics.h: 1998/08/19
- qpaintdevicemetrics.cpp: 1998/07/03